@media (hover: hover) and (pointer: fine) {
    .main-menu__item--parent.main-menu__item--open .main-menu__sub {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        max-height: 360px;
    }

    .main-menu__item--parent.main-menu__item--open:nth-child(4) .main-menu__sub {
        max-height: 200px;
    }

    .main-menu__item--parent.main-menu__item--open:nth-child(5) .main-menu__sub {
        max-height: 530px;
    }

    .main-menu__item--parent.main-menu__item--open:nth-child(5) .main-menu__sub li {
        max-width: calc(25% - 30px);
    }
}

@media (hover: hover) and (pointer: fine) and (max-width: 800px) {
    .main-menu__item--parent.main-menu__item--open:nth-child(5) .main-menu__sub li {
        max-width: 100%;
    }

    .main-menu__item--parent.main-menu__item--open:nth-child(4) .main-menu__sub,
    .main-menu__item--parent.main-menu__item--open:nth-child(5) .main-menu__sub {
        max-height: none;
    }
}

@media (hover: hover) and (pointer: fine) and (max-width: 560px) {
    .main-menu__item--parent.main-menu__item--open .main-menu__sub {
        max-height: none;
    }
}
